Loading...
Searching...
No Matches
itk::GPUAdvancedSimilarity2DTransformFactory2< NDimensions > Class Template Reference

`#include <itkGPUAdvancedSimilarity2DTransformFactory.h>`

## Detailed Description

template<typename NDimensions>
class itk::GPUAdvancedSimilarity2DTransformFactory2< NDimensions >

Definition at line 37 of file itkGPUAdvancedSimilarity2DTransformFactory.h.

Inheritance diagram for itk::GPUAdvancedSimilarity2DTransformFactory2< NDimensions >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | Pointer = SmartPointer<Self>
using | Self = GPUAdvancedSimilarity2DTransformFactory2
using | Superclass = GPUObjectFactoryBase<NDimensions>
Public Types inherited from itk::GPUObjectFactoryBase< NDimensions >
using | ConstPointer = SmartPointer<const Self>
using | Pointer = SmartPointer<Self>
using | Self = GPUObjectFactoryBase
using | Superclass = ObjectFactoryBase

## Public Member Functions

virtual const char * | GetClassName () const
const char * | GetDescription () const
| ITK_DISALLOW_COPY_AND_MOVE (GPUAdvancedSimilarity2DTransformFactory2)
| itkFactorylessNewMacro (Self)
template<typename TType>
void | operator() ()
Public Member Functions inherited from itk::GPUObjectFactoryBase< NDimensions >
const char * | GetITKSourceVersion () const override
| ITK_DISALLOW_COPY_AND_MOVE (GPUObjectFactoryBase)
| itkStaticConstMacro (Support1D, bool, NDimensions::Support1D)
| itkStaticConstMacro (Support2D, bool, NDimensions::Support2D)
| itkStaticConstMacro (Support3D, bool, NDimensions::Support3D)
virtual void | RegisterAll ()

## Static Public Member Functions

static void | RegisterOneFactory ()

## Protected Types

using | RealTypeList = typelist::MakeTypeList<float, double>::Type

## Protected Member Functions

| GPUAdvancedSimilarity2DTransformFactory2 ()
virtual void | Register2D ()
virtual | ~GPUAdvancedSimilarity2DTransformFactory2 ()
Protected Member Functions inherited from itk::GPUObjectFactoryBase< NDimensions >
| GPUObjectFactoryBase ()=default
virtual void | Register1D ()
virtual void | Register3D ()
| ~GPUObjectFactoryBase () override=default

## Member Typedef Documentation

## ConstPointer

template<typename NDimensions>

using itk::GPUAdvancedSimilarity2DTransformFactory2< NDimensions >::ConstPointer = SmartPointer<const Self>

Definition at line 45 of file itkGPUAdvancedSimilarity2DTransformFactory.h.

## Pointer

template<typename NDimensions>

using itk::GPUAdvancedSimilarity2DTransformFactory2< NDimensions >::Pointer = SmartPointer<Self>

Definition at line 44 of file itkGPUAdvancedSimilarity2DTransformFactory.h.

## RealTypeList

template<typename NDimensions>

using itk::GPUAdvancedSimilarity2DTransformFactory2< NDimensions >::RealTypeList = typelist::MakeTypeList<float, double>::Type

protected

Typedef for real type list.

Definition at line 82 of file itkGPUAdvancedSimilarity2DTransformFactory.h.

## Self

template<typename NDimensions>

using itk::GPUAdvancedSimilarity2DTransformFactory2< NDimensions >::Self = GPUAdvancedSimilarity2DTransformFactory2

Definition at line 42 of file itkGPUAdvancedSimilarity2DTransformFactory.h.

## Superclass

template<typename NDimensions>

using itk::GPUAdvancedSimilarity2DTransformFactory2< NDimensions >::Superclass = GPUObjectFactoryBase<NDimensions>

Definition at line 43 of file itkGPUAdvancedSimilarity2DTransformFactory.h.

## Constructor & Destructor Documentation

## GPUAdvancedSimilarity2DTransformFactory2()

template<typename NDimensions>

itk::GPUAdvancedSimilarity2DTransformFactory2< NDimensions >::GPUAdvancedSimilarity2DTransformFactory2 | ( |  | ) |

protected

## ~GPUAdvancedSimilarity2DTransformFactory2()

template<typename NDimensions>

virtual itk::GPUAdvancedSimilarity2DTransformFactory2< NDimensions >::~GPUAdvancedSimilarity2DTransformFactory2 | ( |  | ) |

inline protected virtual

Definition at line 79 of file itkGPUAdvancedSimilarity2DTransformFactory.h.

## Member Function Documentation

## GetClassName()

template<typename NDimensions>

virtual const char * itk::GPUAdvancedSimilarity2DTransformFactory2< NDimensions >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::GPUObjectFactoryBase< NDimensions >.

## GetDescription()

template<typename NDimensions>

const char * itk::GPUAdvancedSimilarity2DTransformFactory2< NDimensions >::GetDescription | ( |  | ) | const

inline

Return a descriptive string describing the factory.

Definition at line 49 of file itkGPUAdvancedSimilarity2DTransformFactory.h.

## ITK_DISALLOW_COPY_AND_MOVE()

template<typename NDimensions>

itk::GPUAdvancedSimilarity2DTransformFactory2< NDimensions >::ITK_DISALLOW_COPY_AND_MOVE | ( | GPUAdvancedSimilarity2DTransformFactory2< NDimensions > |  | ) |

## itkFactorylessNewMacro()

template<typename NDimensions>

itk::GPUAdvancedSimilarity2DTransformFactory2< NDimensions >::itkFactorylessNewMacro | ( | Self |  | ) |

Method for class instantiation.

## operator()()

template<typename NDimensions>
template<typename TType>

void itk::GPUAdvancedSimilarity2DTransformFactory2< NDimensions >::operator() | ( |  | ) |

inline

Operator() to register override.

Definition at line 67 of file itkGPUAdvancedSimilarity2DTransformFactory.h.

## Register2D()

template<typename NDimensions>

virtual void itk::GPUAdvancedSimilarity2DTransformFactory2< NDimensions >::Register2D | ( |  | ) |

protected virtual

Register methods for 2D.

Reimplemented from itk::GPUObjectFactoryBase< NDimensions >.

## RegisterOneFactory()

template<typename NDimensions>

void itk::GPUAdvancedSimilarity2DTransformFactory2< NDimensions >::RegisterOneFactory | ( |  | ) |

static

Register one factory of this type.

Generated on 1768596610 for elastix by 1.15.0 |